commit:     d4b5f6d3728cd58098c7cdbc062b30493f2d2987
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  8 14:11:46 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Dec  8 14:11:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4b5f6d3

dev-util/gtk-doc: More shebang fixing

Bug: https://bugs.gentoo.org/758770
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 .../gtk-doc/{gtk-doc-1.33.1-r2.ebuild => gtk-doc-1.33.1-r3.ebuild}    | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-util/gtk-doc/gtk-doc-1.33.1-r2.ebuild 
b/dev-util/gtk-doc/gtk-doc-1.33.1-r3.ebuild
similarity index 95%
rename from dev-util/gtk-doc/gtk-doc-1.33.1-r2.ebuild
rename to dev-util/gtk-doc/gtk-doc-1.33.1-r3.ebuild
index 6bf9e35bbd9..44f172a60df 100644
--- a/dev-util/gtk-doc/gtk-doc-1.33.1-r2.ebuild
+++ b/dev-util/gtk-doc/gtk-doc-1.33.1-r3.ebuild
@@ -81,8 +81,8 @@ src_install() {
 
        # The meson build system configures the shebangs to the temporary python
        # used during the build. We need to fix it.
-       sed -i -e 's:^#!.*:#!/usr/bin/env python3:' "${ED}"/usr/bin/* || die
-       python_fix_shebang "${ED}"/usr/bin/*
+       sed -i -e 's:^#!.*python3:#!/usr/bin/env python3:' "${ED}"/usr/bin/* || 
die
+       python_fix_shebang "${ED}"/usr/bin
 
        # Don't install this file, it's in gtk-doc-am now
        rm "${ED}"/usr/share/aclocal/gtk-doc.m4 || die "failed to remove 
gtk-doc.m4"

Reply via email to